curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_name": "Business Checking",
"account_type": "DEPOSITORY",
"account_subtype": "CHECKING",
"notes": "<string>",
"financial_institution_name": "<string>",
"financial_institution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-accounts"
payload = {
"account_name": "Business Checking",
"account_type": "DEPOSITORY",
"account_subtype": "CHECKING",
"notes": "<string>",
"financial_institution_name": "<string>",
"financial_institution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_name: 'Business Checking',
account_type: 'DEPOSITORY',
account_subtype: 'CHECKING',
notes: '<string>',
financial_institution_name: '<string>',
financial_institution_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_type": "DEPOSITORY",
"account_subtype": "CHECKING",
"notify_when_disconnected": true,
"is_disconnected": true,
"external_accounts": [
{
"type": "External_Account",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_account_external_id": "0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq",
"external_account_source": "PLAID",
"external_account_name": "My external bank account",
"latest_balance_timestamp": {
"external_account_external_id": "0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq",
"external_account_source": "PLAID",
"balance": 123,
"at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"current_ledger_balance": 123,
"uncategorized_transaction_sum": 123,
"mask": "4321",
"institution": {
"name": "Bank of Generica",
"logo": "iVBORw0KGgoAAAANSUhEUgAAAJgAAACYCAMAAAAvHNATAAAAYFBMVEUAAAAAC1ETC"
},
"notifications": [
{
"type": "OPENING_BALANCE_MISSING",
"scope": "USER"
}
],
"connection_needs_repair_as_of": "2023-11-07T05:31:56Z",
"reconnect_with_new_credentials": true,
"requires_user_confirmation_as_of": "2023-11-07T05:31:56Z",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_external_id": "<string>",
"user_created": true,
"is_syncing": true,
"ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_at": "2023-11-07T05:31:56Z",
"show_transactions_on_or_after": "2023-11-07T05:31:56Z",
"show_transactions_on_or_before": "2023-11-07T05:31:56Z"
}
],
"entity_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"type": "Bank_Account",
"account_name": "Business Checking",
"notes": "<string>",
"institution": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Chase",
"logo": "<string>"
},
"archived_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
}Create bank account
Creates a new bank account for the specified business.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
Body
Parameters for creating a new bank account.
Display name for the bank account.
"Business Checking"
The broad category of the bank account.
DEPOSITORY, CREDIT, LOAN, BROKERAGE, INVESTMENT "DEPOSITORY"
The specific subtype of the bank account.
_401A, _401K, _403B, _457B, _529, BROKERAGE, CASH_ISA, CRYPTO_EXCHANGE, EDUCATION_SAVINGS_ACCOUNT, EBT, FIXED_ANNUITY, GIC, HEALTH_REIMBURSEMENT_ARRANGEMENT, HSA, ISA, IRA, LIF, LIFE_INSURANCE, LIRA, LRIF, LRSP, NON_CUSTODIAL_WALLET, NON_TAXABLE_BROKERAGE_ACCOUNT, OTHER, OTHER_INSURANCE, OTHER_ANNUITY, PRIF, RDSP, RESP, RLIF, RRIF, PENSION, PROFIT_SHARING_PLAN, RETIREMENT, ROTH, ROTH_401K, RRSP, SEP_IRA, SIMPLE_IRA, SIPP, STOCK_PLAN, THRIFT_SAVINGS_PLAN, TFSA, TRUST, UGMA, UTMA, VARIABLE_ANNUITY, CREDIT_CARD, PAYPAL, CD, CHECKING, SAVINGS, MONEY_MARKET, PREPAID, AUTO, BUSINESS, COMMERCIAL, CONSTRUCTION, CONSUMER, HOME_EQUITY, LOAN, MORTGAGE, OVERDRAFT, LINE_OF_CREDIT, STUDENT, CASH_MANAGEMENT, KEOGH, MUTUAL_FUND, RECURRING, REWARDS, SAFE_DEPOSIT, SARSEP, PAYROLL, NULL, ENUM_UNKNOWN "CHECKING"
Free-form notes about the bank account.
Name of the financial institution. Used when no financial_institution_id is provided.
ID of an existing financial institution to associate with the bank account.
Response
Bank account successfully created.
A bank account belonging to a business. Bank accounts are the top-level container that groups one or more external accounts (connected financial accounts) under a single logical account.
Show child attributes
Show child attributes